(function ($) {
    
    $.field_buffertime = function (element, options) {
        
        var defaults = {
            
            
        }
        
        var plugin = this;
        
        plugin.settings = {}
        var $element = $(element), 
            element = element;    
        
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('.time-buffer').select2();
        };
        plugin.example_function = function () {
        };
        plugin.init();
    }
    
    $.fn.field_buffertime = function (options) {
        
        return this.each(function () {
            
            if (undefined == $(this).data('field_buffertime')) {
                var plugin = new $.field_buffertime(this, options);
                $(this).data('field_buffertime', plugin);
            }
        });
    }
})(jQuery);